<template>
  <VumikForm class="space-y-6" v-model="formData" @submit="tryCreate()">
    <div class="space-y-8 ">
      <div class="grid grid-cols-1 gap-y-6 gap-x-4 sm:grid-cols-6 sm:col-span-6">
        <div class="sm:col-span-6">
          <h3 class="text-lg leading-6 font-medium text-gray-900">
            Company Information
          </h3>
          <p class="mt-1 text-sm text-gray-500">
            These information will be check by our team, please fill in the correct information.
          </p>
        </div>
        <div class="sm:col-span-6">
          <label for="name" class="block text-sm font-medium text-gray-700">
            Name of company
          </label>
          <div class="mt-1">
            <VumikInput type="text" name="name" />
          </div>
        </div>
        <div class="sm:col-span-4">
          <label for="name" class="block text-sm font-medium text-gray-700">
            SIREN
          </label>
          <div class="mt-1">
            <VumikInput type="text" name="siren" />
          </div>
        </div>
        <div class="sm:col-span-2">
          <label for="name" class="block text-sm font-medium text-gray-700">
            NIC
          </label>
          <div class="mt-1">
            <VumikInput type="text" name="nic" />
          </div>
        </div>
        <div class="sm:col-span-6">
          <label for="name" class="block text-sm font-medium text-gray-700">
            Creation date
          </label>
          <div class="mt-1">
            <DatePicker :update="updateCreationDate" />
          </div>
        </div>
      </div>
      <div class="grid grid-cols-1 gap-y-6 gap-x-4 sm:grid-cols-6 sm:col-span-6 border-t border-gray-200 pt-6">
        <div class="sm:col-span-6">
          <h3 class="text-lg leading-6 font-medium text-gray-900">
            Localisation Information
          </h3>
          <p class="mt-1 text-sm text-gray-500">
            Use the adress link to your company.
          </p>
        </div>
        <div class="sm:col-span-3">
          <label for="country" class="block text-sm font-medium text-gray-700">
            Country / Region
          </label>
          <div class="mt-1">
            <VumikInput type="select" name="country">
              <option>France</option>
              <option>Belgique</option>
              <option>Suisse</option>
            </VumikInput>
          </div>
        </div>
        <div class="sm:col-span-6">
          <label for="name" class="block text-sm font-medium text-gray-700">
            Street adress
          </label>
          <div class="mt-1">
            <VumikInput type="text" name="street" />
          </div>
        </div>
        <div class="sm:col-span-3">
          <label for="name" class="block text-sm font-medium text-gray-700">
            City
          </label>
          <div class="mt-1">
            <VumikInput type="text" name="city" />
          </div>
        </div>
        <div class="sm:col-span-3">
          <label for="name" class="block text-sm font-medium text-gray-700">
            ZIP / Postal
          </label>
          <div class="mt-1">
            <VumikInput type="text" name="postal" />
          </div>
      </div>
      </div>
      <div class="grid grid-cols-1 gap-y-6 gap-x-4 sm:grid-cols-6 sm:col-span-6">
        <div class="sm:col-start-5 sm:col-span-1 self-center justify-self-end">
          <router-link to="/" class="whitespace-nowrap text-base font-medium text-gray-500 hover:text-gray-900">Cancel</router-link>
        </div>
        <div class="sm:col-start-6 sm:col-span-1">
          <VumikInput type="submit" value="Send" />
        </div>
      </div>
    </div>
  </VumikForm>
</template>

<script>
import DatePicker from '../../../components/DatePicker/DatePicker'
import { mapActions } from 'vuex'

export default {
  name: 'Business',
  components: { DatePicker },
  data () {
    return {
      formData: {
        name: '',
        siren: '',
        nic: '',
        street: '',
        postal: '',
        city: '',
        country: ''
      },
      creationDate: ''
    }
  },
  methods: {
    tryCreate () {
      this.createCompany({ ...this.formData, creationDate: this.creationDate }).then(() => this.createApplication()).then(() => { this.update({ status: 2, id: this.$store.state.user.me?.id }) })
    },
    updateCreationDate (date) {
      this.creationDate = date
    },
    ...mapActions('user', ['createCompany', 'update']),
    ...mapActions('auth', ['createApplication'])
  }
}
</script>
